This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1028257 - There's a mistake in the help message of oo-frontend-plugin-modify
There's a mistake in the help message of oo-frontend-plugin-modify
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 21:36 EST by Gaoyun Pei
Modified: 2015-05-14 19:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:29:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaoyun Pei 2013-11-07 21:36:55 EST
Description of problem:
When checking the help message of command "oo-frontend-plugin-modify", it tells user to use "service mcollective restart" to restart mcollective service, which should be "service ruby193-mcollective restart".

Version-Release number of selected component (if applicable):
devenv_4003

How reproducible:
always

Steps to Reproduce:
1.Log into the instance, check the help of oo-frontend-plugin-modify
[root@ip-10-138-15-61 ~]# oo-frontend-plugin-modify -h
== Synopsis
...
service mcollective restart
...
Do not ask before a dangerous operation
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message

Actual results:

Expected results:
service ruby193-mcollective restart

Additional info:
Comment 2 Gaoyun Pei 2013-11-10 21:48:05 EST
Verify this on devenv_4016.

[root@ip-10-152-143-211 ~]# oo-frontend-plugin-modify -h
== Synopsis
...
modify customized httpd configuration as needed and restart
edit /etc/openshift/node.conf
service ruby193-mcollective restart
/usr/bin/oo-frontend-plugin-modify --restore < file
...

== List of additional arguments
     --confirm                          Do not ask before a dangerous operation
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message

Note You need to log in before you can comment on or make changes to this bug.